add.local.level {bsts} | R Documentation

## Local level trend state component

### Description

Add a local level model to a state specification. The local level model assumes the trend is a random walk:

alpha[t+1] = alpha[t] + rnorm(1, 0, sigma).

The prior is on the sigma parameter.

### Usage

      AddLocalLevel(
         state.specification,
         y,
         sigma.prior,
         initial.state.prior,
         sdy,
         initial.y)

### Arguments

`state.specification` | A list of state components that you wish to add to. If omitted, an empty list will be assumed.
`y` | The time series to be modeled, as a numeric vector.
`sigma.prior` | An object created by `SdPrior` describing the prior distribution for the standard deviation of the random walk increments.
`initial.state.prior` | An object created using `NormalPrior`, describing the prior distribution of the initial state vector (at time 1).
`sdy` | The standard deviation of the series to be modeled. This will be ignored if `y` is provided, or if all the required prior distributions are supplied directly.
`initial.y` | The initial value of the series being modeled. This will be ignored if `y` is provided, or if the priors for the initial state are all provided directly.

### Value

Returns a list with the elements necessary to specify a local linear trend state model.

### Author(s)

Steven L. Scott steve.the.bayesian@gmail.com

### References

Harvey (1990), "Forecasting, structural time series, and the Kalman filter", Cambridge University Press.

Durbin and Koopman (2001), "Time series analysis by state space methods", Oxford University Press.

### See Also

`bsts`. `SdPrior` `NormalPrior`

[Package bsts version 0.9.1 Index]